/**
 * Test for inheritance.
 * Runs with mocha.
 */

'use strict'

const apeman = require('apeman')
const mkdirp = require('mkdirp')
const co = require('co')
const assert = require('assert')

describe('inherit', () => {
  let configuration = require.resolve('../doc/mocks/mock-Apemanfile.js')

  before(() => co(function * () {
    mkdirp.sync(require(configuration).$cwd)
  }))

  it('Show tmpls.', () => co(function * () {
    yield apeman.show('tmpls', {
      configuration,
      keysonly: true
    })
  }))

  it('Show tasks.', () => co(function * () {
    yield apeman.show('tasks', {
      configuration,
      keysonly: true
    })
  }))

  it('Run tmpls.', () => co(function * () {
    yield apeman.tmpl({
      configuration
    })
  }))

  it('Run tasks.', () => co(function * () {
    yield apeman.task({
      configuration
    })
  }))
})
/* global describe, before, after, it */
